# OpenShaderDesigner: OpenShaderDesigner::Pin Struct Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::Pin Struct Reference

## Public Types

enum | PinType { INT = 0 , UINT , FLOAT , VECTOR , ANY , COUNT }
enum | PinDirection { INPUT , OUTPUT }

## Public Attributes

std::string | Name
PinType | Type
PinDirection | Direction

## Static Public Attributes

static const ImColor | Colors [COUNT]
static const std::string | TypeNames [COUNT]

## Member Data Documentation

## Colors

const ImColor OpenShaderDesigner::Pin::Colors[COUNT]

inlinestatic

Initial value:
= {
ImColor(0xB9, 0xF5, 0x94)
, ImColor(0x8C, 0xC0, 0x8C)
, ImColor(0x37, 0x95, 0x85)
, ImColor(0xE3, 0x7D, 0xDC)
, ImColor(0xD2, 0xD5, 0xD3)
}

## TypeNames

const std::string OpenShaderDesigner::Pin::TypeNames[COUNT]

inlinestatic

Initial value:
= {
"Int"
, "Unsigned Int"
, "Float"
, "Vector"
}

The documentation for this struct was generated from the following file:

- Include/Graph/ShaderGraph.h